Get transit statistics
GET
https://api-v2.test.eldowallet.fr/transits/stats
Returns statistics on the wallet's transit tickets: total (totalCustomers), active (totalActifCustomers) and redeemed (redeemedPassesCount). Filter by template, transit type or creation period.
Good to know
- The wallet must have the TRANSIT pass type enabled.
Request
query parameters
transitIdstringLimits the statistics to this transit template. Takes precedence over `transitType`.transitTypestringLimits the statistics to templates of this type: `Bus`, `Boat`, `Train`, `Air`, `Generic` or `Tram`.enum:Bus,Boat,Train,Air,Generic,TramstartDatestring <date-time>Start of the period (ISO 8601), applied to the passes' creation date.endDatestring <date-time>End of the period (ISO 8601), applied to the passes' creation date.
header parameters
x-langstringLanguage for responsesenum:en,frdefault:"en"
Responses
- 200
- 401
- 403
- 500
Schema
application/jsontotalCustomersnumber requiredTotal customerstotalActifCustomersnumber requiredTotal active customersredeemedPassesCountnumber requiredRedeemed passes count
UNAUTHORIZED
Schema
application/jsonmessagestring requiredexample:Promo code already existserrorCodestring requiredexample:400:PROMO_CODE_ALREADY_EXISTSpathstring requiredexample:/couponsdatestring <date-time> requireddetailsobjectvalidationErrorsobject[]fieldstringexample:emailmessagestringexample:email must be an email
FORBIDDEN
Schema
application/jsonmessagestring requiredexample:Promo code already existserrorCodestring requiredexample:400:PROMO_CODE_ALREADY_EXISTSpathstring requiredexample:/couponsdatestring <date-time> requireddetailsobjectvalidationErrorsobject[]fieldstringexample:emailmessagestringexample:email must be an email
UNKNOWN_ERROR
Schema
application/jsonmessagestring requiredexample:Promo code already existserrorCodestring requiredexample:400:PROMO_CODE_ALREADY_EXISTSpathstring requiredexample:/couponsdatestring <date-time> requireddetailsobjectvalidationErrorsobject[]fieldstringexample:emailmessagestringexample:email must be an email